package com.iamberry.wechat.core.entity.qrcode;

import java.io.Serializable;
import java.util.Date;

/**
 * 临时二维码 实体
 */
public class TemporaryQrcode implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 6657521976318158144L;
	
	private Integer qrId;			//id
	private String qrOpenid;		//用户openid
	private String qrUrl;			//二维码url
	private String qrValue;			//场景值
	private Date qrCreateDate;		//创建时间
	private Date qrEndDate;			//过期时间
	private Date qrUpdateDate;		//修改时间
	
	public Integer getQrId() {
		return qrId;
	}
	public void setQrId(Integer qrId) {
		this.qrId = qrId;
	}
	public String getQrOpenid() {
		return qrOpenid;
	}
	public void setQrOpenid(String qrOpenid) {
		this.qrOpenid = qrOpenid;
	}
	public String getQrUrl() {
		return qrUrl;
	}
	public void setQrUrl(String qrUrl) {
		this.qrUrl = qrUrl;
	}
	public String getQrValue() {
		return qrValue;
	}
	public void setQrValue(String qrValue) {
		this.qrValue = qrValue;
	}
	public Date getQrCreateDate() {
		return qrCreateDate;
	}
	public void setQrCreateDate(Date qrCreateDate) {
		this.qrCreateDate = qrCreateDate;
	}
	public Date getQrEndDate() {
		return qrEndDate;
	}
	public void setQrEndDate(Date qrEndDate) {
		this.qrEndDate = qrEndDate;
	}
	public Date getQrUpdateDate() {
		return qrUpdateDate;
	}
	public void setQrUpdateDate(Date qrUpdateDate) {
		this.qrUpdateDate = qrUpdateDate;
	}
	@Override
	public String toString() {
		return "TemporaryQrcode [qrId=" + qrId + ", qrOpenid=" + qrOpenid
				+ ", qrUrl=" + qrUrl + ", qrValue=" + qrValue
				+ ", qrCreateDate=" + qrCreateDate + ", qrEndDate=" + qrEndDate
				+ ", qrUpdateDate=" + qrUpdateDate + "]";
	}
}
